(function ($) {

  "use strict";
  var SliderKits = window.SliderKits || {};
  window.SliderKits = SliderKits;

  SliderKits.initSlick = function() {
    $('.sk-slick').on('init', function(event, slick){
       $('.sk-slick .sk-slick-item__container').css('opacity', 1);
    });

    if ( $.isFunction($.fn.slick) ) {
      $('.sk-slick').not('.slick-initialized').slick();

      $('.sk-slick-blog').slick({
        customPaging: function(slick,index) {
            var targetImage = slick.$slides.eq(index).data('thumbnail');
            var postTitle = slick.$slides.eq(index).find('.sk-heading').html();
            return '<span class="sk-paging-thumb"><img src=" ' + targetImage + ' "/></span><h5 class="sk-wrap-lines">'+postTitle+'</h5>';
        }
      });
    }
  }

  SliderKits.carouselPopup = function() {
    $('.sk-fullscreen-popup').each(function(){
        $(this).css({
          width: $(this).prev().find('.slick-current').width(),
          height: $(this).prev().find('.slick-current').height(),
          position: 'absolute',
          zIndex: -1,
          left: $(this).prev().find('.slick-current').offset().left - 10
        });
    });


    var contentWidth = '1140px';
    var columnPadding = '10px';

    $('.sk-slick-carousel-popup').each(function(){
        var slick = $(this),
            trigger = slick.find('.sk-learn-more-circle');

        trigger.on('click', function(){
           var currentSlide = $(this).data('slide');
           $('.'+currentSlide).find('.sk-learn-more-circle').fadeOut();
           $('.'+currentSlide).find('.sk-slick-item__container').fadeOut(function(){
             var cloned = '<a href="javascript:;" class="sk-popup-close">&times;</a><div class="sk-slick-item d-flex align-items-end pb-5 pb-md-0">' + $('.'+currentSlide).html() + '</div>';
             slick.next('.sk-fullscreen-popup').html(cloned);
             contentWidth = slick.closest('.elementor-section.elementor-section-boxed > .elementor-container').css('max-width');
             columnPadding = slick.closest('.elementor-column-gap-default>.elementor-row>.elementor-column>.elementor-element-populated').css('padding');
             slick.closest('.elementor-section.elementor-section-boxed > .elementor-container').css('max-width', '100%');
             slick.closest('.elementor-column-gap-default>.elementor-row>.elementor-column>.elementor-element-populated').css('padding', '0');
             slick.next('.sk-fullscreen-popup').find('.sk-learn-more-circle').remove();
             slick.next('.sk-fullscreen-popup').removeAttr('style');
             slick.next('.sk-fullscreen-popup').find('.sk-slick-item__container').fadeIn();
           });
        });
    });

    $(document).on('click', '.sk-popup-close', function(){
      var popup = $(this).parent();

      popup.find('.sk-slick-item__container').fadeOut(function(){
        popup.animate({
          width: popup.prev().find('.slick-current').width(),
          height: popup.prev().find('.slick-current').height(),
          top: 0,
          left: popup.prev().find('.slick-current').offset().left,
          opacity: 0
        }, 200, 'linear', function(){
          popup.prev().find('.slick-current').closest('.elementor-section.elementor-section-boxed > .elementor-container').css('max-width', contentWidth);
          popup.prev().find('.slick-current').closest('.elementor-column-gap-default>.elementor-row>.elementor-column>.elementor-element-populated').css('padding', columnPadding);
          popup.css({
            position: 'absolute',
            zIndex: -1
          });
          popup.prev().find('.slick-current').find('.sk-slick-item__container').fadeIn();
          popup.prev().find('.slick-current').find('.sk-learn-more-circle').fadeIn(function(){
            popup.empty();
          });
        });
      });

    })
  }

  SliderKits.mobileMockup = function() {
    function setMockupSize(obj) {
      obj.css({
        width: obj.prev().find('.slick-current').width(),
        height: obj.prev().find('.slick-current').height() + 20,
        top: '30px',
        left: obj.prev().find('.slick-current').position().left + 20
      });

      if($(window).width() <= 782) {
        obj.css('top', obj.prev().offset().top - 15);
      }
    }
    $('.sk-mobile-mockup').each(function(){
        var mockup = $(this);
        setMockupSize(mockup);
        $(window).resize(function() {
          setMockupSize(mockup);
        });
    });
  }

  SliderKits.init = function() {
    SliderKits.initSlick();
    SliderKits.carouselPopup();
    SliderKits.mobileMockup();
    lazyload();
  }

  SliderKits.init();

})(jQuery);
