<?php
/**
 * The accordion slider template
 * If you want to override this template by your custom template in the theme folder,
 * just create the 'sliderkits' folder in the theme folder,
 * then, copy this file to sliderkits folder.
 * @version 1.0.0
 * @package SliderKits
 */

$slides           =   $sk_data->slides;
?>
<?php if( $slides ) : ?>
<div class="sk-vertical-accordion">
  <ul>
    <?php foreach( $slides as $item ):
      $target = $item['link']['is_external'] ? 'target="_blank"' : '';
      $picture_url = $item['picture']['url'];
    ?>
    <li class="elementor-repeater-item-<?php echo esc_attr( $item['_id'] ); ?>" <?php if( $picture_url !== '' ): ?>style="background-image:url(<?php echo esc_url( $picture_url );?>);"<?php endif;?>>
      <div class="sk-item__container">
        <?php if( $item['link']['url'] !== '' ): ?>
        <a href="<?php echo esc_url( $item['link']['url'] );?>" <?php echo esc_attr( $target );?>>
        <?php endif; ?>

          <?php if( $item['title'] ): ?>
          <h2 class="sk-heading" data-short="<?php echo esc_attr( $item['short_title'] );?>"><span><?php echo wp_kses_post( $item['title'] ); ?></span></h2>
          <?php endif;?>

          <?php if( $item['paragraph'] ): ?>
          <p class="sk-content"><?php echo wp_kses_post( $item['paragraph'] ); ?></p>
          <?php endif;?>

        <?php if( $item['link']['url'] !== '' ): ?>
        </a>
        <?php endif; ?>
      </div>
      <div class="sk-overlay"></div>
    </li>
    <?php endforeach;?>
  </ul>
</div>
<?php endif;?>
