<?php
/**
 * The app slider template
 * If you want to override this template by your custom template in the theme folder,
 * just create the 'sliderkits' folder in the theme folder,
 * then, copy this file to sliderkits folder.
 * @version 1.0.0
 * @package SliderKits
 */
 $slidesToShow     =   $sk_data->slidesToShow;
 $autoplay         =   $sk_data->autoplay;
 $autoplaySpeed    =   $sk_data->autoplaySpeed;
 $dots             =   $sk_data->dots;
 $infinite         =   $sk_data->infinite;
 $swipe            =   $sk_data->swipe;
 $touchMove        =   $sk_data->touchMove;
 $speed            =   $sk_data->speed;
 $slides           =   $sk_data->slides;

 $app_slider_config = json_encode([
   'autoplay' => $autoplay === 'true'? true: false,
   'autoplaySpeed' => $autoplaySpeed,
   'infinite' => $infinite === 'true'? true: false,
   'dots' => $dots === 'true'? true: false,
   'swipe'  => $swipe === 'true'? true: false,
   'speed'  => $speed,
   'touchMove' => $touchMove === 'true'? true: false,
   'fade'   => false,
   'lazyLoad' => 'ondemand',
   'slidesToShow' => $slidesToShow === '2' ? 2 : 3,
   'focusOnSelect' => true,
   'centerMode' => true,
   'centerPadding' => '0px',
   'initialSlide' => 1,
   'responsive' => [
     [
       "breakpoint" => 767,
       "settings" => [
         "slidesToShow" => 2,
         "initialSlide" => 0
       ]
     ],
     [
       "breakpoint" => 375,
       "settings" => [
         "slidesToShow" => 1,
         "initialSlide" => 0
       ]
     ]
   ]
 ]);
?>

<?php if( $slides ) : ?>
<div class="sk-slick sk-app-slider" data-slick='<?php echo esc_attr( $app_slider_config ); ?>'>
  <?php foreach( $slides as $item ):?>
  <div class="sk-slick-item d-flex align-items-center">
    <div class="sk-slick-item__container container">
        <div class="sk-app-img">
          <?php
          $picture_url = $item['picture']['url'];
          if( $picture_url !== '' ):
          ?>
          <img class="lazyload" src="<?php echo wp_get_attachment_image_url( $item['picture']['id'], 'medium' );?>" data-src="<?php echo esc_url( $picture_url );?>" alt="<?php echo esc_attr( $item['title'] );?>" />
          <?php endif;?>
        </div>
    </div>
  </div>
  <?php endforeach; ?>
</div>
<div class="sk-mobile-mockup"></div>
<?php endif;?>
